<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Work History</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_employes::sidebar_employes" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <span><i class="fa fa-chart-line" style="color: #9B7536"></i> Work Experience Of : </span>
                    <span th:text="${employes.fullName}"></span>
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p th:text="${success}">Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p th:text="${gagal}">Data Berhasil Disimpan.</p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/masterdata/employes/riwayat_kerja/new(employes=${employes.id})}"
                                role="button"
                        >Click Here</a
                        >
                        for add work history.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-8">
                    <!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
                </div>

                <div class="col-md-4" align="right">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" th:value="${search}" name="search" placeholder="Search" aria-label="Recipient's username" aria-describedby="button-addon2">
                        <button class="btn btn-outline-secondary" type="button" id="button-addon2"><i class="fa fa-search"></i></button>
                    </div>

                </div>
            </div>
        </form>


        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead>

                        <tr>
                            <th class="border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Company</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Position</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">In</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Out</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Salary</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">

                        <tr th:each="dataEmployeeRiwayatPekerjaan,row : ${listEmployeeRiwayatPekerjaan}">
                            <td class="border-0 border-bottom text-end" th:text="${(row.index + 1)}">1.</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeeRiwayatPekerjaan.namaPerusahaan}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeeRiwayatPekerjaan.bagian}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeeRiwayatPekerjaan.tahunMasuk}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeeRiwayatPekerjaan.tahunKeluar}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeeRiwayatPekerjaan.gaji}">BEASISWA</td>
                            <td class="border-0 border-bottom">
                                <a th:href="@{/masterdata/employes/riwayat_kerja/edit(employeeRiwayatPekerjaan=${dataEmployeeRiwayatPekerjaan.id})}" class="btn btn-sm small btn-primary">Edit</a>
                            </td>
                            <td class="border-0 border-bottom">
                                <form method="post" th:action="@{/masterdata/employes/riwayat_kerja/delete(employeeRiwayatPekerjaan=${dataEmployeeRiwayatPekerjaan.id})}">
                                    <button type="submit" class="btn btn-danger btn-sm small"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br />
            </div>
        </div>

    </main>


</main>
</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Work History</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Detail Employee-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Detail Employee</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        <div class="col-md-3">-->
<!--            <div class="box box-solid">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Tab</h3>-->

<!--                    <div class="box-tools">-->
<!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
<!--                        </button>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-body no-padding">-->
<!--                    <ul class="nav nav-pills nav-stacked">-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/detail(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Detail</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/keluarga(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Keluarga</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/pendidikan(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Pendidikan</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/riwayat_kerja(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Pengalaman Bekerja</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/bahasa(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Bahasa</a>-->
<!--                        </li>-->
<!--                        <li>-->
<!--                            <a th:href="@{/masterdata/employes/keahlian(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Sertifikasi/Keahlian</a>-->
<!--                        </li>-->
<!--                        <li sec:authorize="hasAuthority('MENU_EMPLOYES')">-->
<!--                            <a th:href="@{/masterdata/employes/payroll(employes=${employes.getId()})}"><i class="fa fa-inbox"></i> Payroll Info</a>-->
<!--                        </li>-->
<!--&lt;!&ndash;                        <li>&ndash;&gt;-->
<!--&lt;!&ndash;                            <a th:href="@{/masterdata/employes/upload(employes=${employes.getId()})}"><i class="fa fa-inbox"></i>  Upload</a>&ndash;&gt;-->
<!--&lt;!&ndash;                        </li>&ndash;&gt;-->
<!--                    </ul>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="col-md-9">-->

<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${deleted != null}">-->
<!--                <h4>Delete Data Success!</h4>-->

<!--                <p>Data Berhasil Dihapus.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>-->
<!--            </div>-->

<!--            &lt;!&ndash; Custom Tabs &ndash;&gt;-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#detail" data-toggle="tab">Riwayat Pekerjaan</a></li>-->
<!--                </ul>-->
<!--                &lt;!&ndash;                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">&ndash;&gt;-->
<!--                <div class="tab-content">-->
<!--                    <div class="tab-pane active" id="detail">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-12">-->
<!--                                <div class="box box-info">-->
<!--                                    <div class="box-header with-border">-->

<!--                                        <span>Riwayat Pekerjaan</span>-->
<!--                                        <span th:text="${employes.fullName}"></span>-->

<!--                                    </div>-->
<!--                                    <div class="box-body">-->
<!--                                        <div class="box">-->
<!--                                            <form method="get">-->
<!--                                                <div class="box-header with-border">-->
<!--                                                    <div class="row">-->
<!--                                                        <div class="col-md-6">-->
<!--                                                            &lt;!&ndash;                                                                <h3 class="box-title">Ayah</h3>&ndash;&gt;-->
<!--                                                        </div>-->
<!--                                                        &lt;!&ndash;                                                            <div class="col-md-6" align="right">&ndash;&gt;-->
<!--                                                        &lt;!&ndash;                                                                Show entries <span sd:page-size-selector="javascript"></span>&ndash;&gt;-->
<!--                                                        &lt;!&ndash;                                                            </div>&ndash;&gt;-->
<!--                                                    </div>-->
<!--                                                </div>-->

<!--                                                <div class="box-header with-border">-->
<!--                                                    <div class="row">-->
<!--                                                        <div class="col-md-2">-->
<!--                                                            <a th:href="@{/masterdata/employes/riwayat_kerja/new(employes=${employes.id})}" name="tambahPekerjaan" type="button" class="btn btn-block btn-default">+ Riwayat Pekerjaan</a>-->
<!--                                                        </div>-->

<!--                                                        <div class="col-md-6" align="right">-->
<!--                                                            &lt;!&ndash;                                                                <div class="input-group input-group-sm" style="width: 150px;">&ndash;&gt;-->
<!--                                                            &lt;!&ndash;                                                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">&ndash;&gt;-->
<!--                                                            &lt;!&ndash;                                                                    <div class="input-group-btn">&ndash;&gt;-->
<!--                                                            &lt;!&ndash;                                                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>&ndash;&gt;-->
<!--                                                            &lt;!&ndash;                                                                    </div>&ndash;&gt;-->
<!--                                                            &lt;!&ndash;                                                                </div>&ndash;&gt;-->
<!--                                                        </div>-->

<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                            </form>-->
<!--                                            &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                                            <div class="box-body table-responsive no-padding">-->
<!--                                                <table class="table table-bordered">-->
<!--                                                    <tr>-->
<!--                                                        <th style="width: 10px">#</th>-->
<!--                                                        <th>Perusahaan</th>-->
<!--                                                        <th>Bagian</th>-->
<!--                                                        <th>Masuk</th>-->
<!--                                                        <th>Keluar</th>-->
<!--                                                        <th>Gaji</th>-->
<!--                                                        <th style="width: 40px"></th>-->
<!--                                                        <th style="width: 40px"></th>-->
<!--                                                    </tr>-->
<!--                                                    <tr th:each="dataEmployeeRiwayatPekerjaan,row : ${listEmployeeRiwayatPekerjaan}">-->
<!--                                                        <td th:text="${(row.index + 1)}">1.</td>-->
<!--                                                        <td th:text="${dataEmployeeRiwayatPekerjaan.namaPerusahaan}">BEASISWA</td>-->
<!--                                                        <td  th:text="${dataEmployeeRiwayatPekerjaan.bagian}">BEASISWA</td>-->
<!--                                                        <td th:text="${dataEmployeeRiwayatPekerjaan.tahunMasuk}">BEASISWA</td>-->
<!--                                                        <td th:text="${dataEmployeeRiwayatPekerjaan.tahunKeluar}">BEASISWA</td>-->
<!--                                                        <td th:text="${dataEmployeeRiwayatPekerjaan.gaji}">BEASISWA</td>-->
<!--                                                        <td>-->
<!--                                                            <a th:href="@{/masterdata/employes/riwayat_kerja/edit(employeeRiwayatPekerjaan=${dataEmployeeRiwayatPekerjaan.id})}" class="btn btn-xs btn-primary">Edit</a>-->
<!--                                                        </td>-->
<!--                                                        <td>-->
<!--                                                            <form method="post" th:action="@{/masterdata/employes/riwayat_kerja/delete(employeeRiwayatPekerjaan=${dataEmployeeRiwayatPekerjaan.id})}">-->
<!--                                                                <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                                        onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                                    Delete-->
<!--                                                                </button>-->
<!--                                                            </form>-->
<!--                                                        </td>-->
<!--                                                    </tr>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                            &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                            <div class="box-footer clearfix">-->
<!--&lt;!&ndash;                                                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">&ndash;&gt;-->
<!--&lt;!&ndash;                                                    <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--&lt;!&ndash;                                                            aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--&lt;!&ndash;                                                    </li>&ndash;&gt;-->
<!--&lt;!&ndash;                                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--&lt;!&ndash;                                                    </li>&ndash;&gt;-->
<!--&lt;!&ndash;                                                </ul>&ndash;&gt;-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                    <div class="box-footer">-->
<!--                                        <a th:href="@{/masterdata/employes}" class="btn btn-default" sec:authorize="hasAuthority('VIEW_ALL')">Cancel</a>-->
<!--                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                &lt;!&ndash;                </form>&ndash;&gt;-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalLahir').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->